classification
Title: Unnecessary test in file descriptor inheritance test
Type: behavior Stage: patch review
Components: Tests Versions: Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: vstinner Nosy List: ezio.melotti, python-dev, vajrasky, vstinner
Priority: normal Keywords: patch

Created on 2013-09-02 03:39 by vajrasky, last changed 2013-09-09 20:20 by vstinner. This issue is now closed.

Files
File name Uploaded Description Edit
remove_unnecessary_test_fd_inheritable.patch vajrasky, 2013-09-02 03:39 review
Messages (5)
msg196768 - (view) Author: Vajrasky Kok (vajrasky) * Date: 2013-09-02 03:39
In Lib/test/test_os.py in class FDInheritanceTests, we have an unnecessary test, which is test_set_inheritable. What test_set_inheritable tests is already being covered by test_get_inheritable.

Also, I think test_get_inheritable should be renamed to test_set_inheritable.

Please, see the patch to see what I mean.
msg197237 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-09-08 09:48
New changeset b13cec63b495 by Victor Stinner in branch 'default':
Issue #18904: Improve os.get/set_inheritable() tests
http://hg.python.org/cpython/rev/b13cec63b495
msg197238 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2013-09-08 09:48
Thanks for the report and the patch. I removed the duplicate test, but I also added new tests using fcntl and FD_CLOEXEC.
msg197240 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-09-08 09:53
New changeset b7f6f6f59e91 by Victor Stinner in branch 'default':
Issue #18904: test_socket: add inheritance tests using fcntl and FD_CLOEXEC
http://hg.python.org/cpython/rev/b7f6f6f59e91
msg197257 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-09-08 12:14
New changeset aea58e1cae75 by Victor Stinner in branch 'default':
Issue #18904: test_os and test_socket use unittest.skipIf() to check if fcntl
http://hg.python.org/cpython/rev/aea58e1cae75
History
Date User Action Args
2013-09-09 20:20:59vstinnersetstatus: open -> closed
resolution: fixed
2013-09-08 12:14:52python-devsetmessages: + msg197257
2013-09-08 09:54:00python-devsetmessages: + msg197240
2013-09-08 09:48:52vstinnersetmessages: + msg197238
2013-09-08 09:48:10python-devsetnosy: + python-dev
messages: + msg197237
2013-09-07 12:26:53ezio.melottisetassignee: vstinner
type: behavior
stage: patch review
2013-09-02 06:43:15ezio.melottisetnosy: + ezio.melotti
2013-09-02 03:39:34vajraskycreate